import { GetProjectWithCompanyAssociatedAction } from './../../../../ngrx/projects/projects.actions';
import { Observable } from 'rxjs';
import { MsgState } from 'src/app/ngrx/msg.state';
import { ProjectState } from 'src/app/ngrx/projects/project.state';
import { Component, OnInit } from '@angular/core';
import { Store } from '@ngrx/store';

@Component({
  selector: 'app-project-with-company-associated',
  templateUrl: './project-with-company-associated.component.html',
  styleUrls: ['./project-with-company-associated.component.css']
})
export class ProjectWithCompanyAssociatedComponent implements OnInit {

  projectState$!: Observable<ProjectState>;
  msgState = MsgState;

  constructor(private store: Store<{projectReducerKey: ProjectState}>) { }

  ngOnInit(): void {


    this.store.dispatch(new GetProjectWithCompanyAssociatedAction({}));
    this.projectState$= this.store.select('projectReducerKey');
  }

}
