import { ProjectWithCompanyAssociatedComponent } from './projects-management/project-with-company-associated/project-with-company-associated.component';
import { ProjectWithUserAssociatedComponent } from './projects-management/project-with-user-associated/project-with-user-associated.component';
import { ProjectUpdateComponent } from './projects-management/project-update/project-update.component';
import { ProjectsManagementComponent } from './projects-management/projects-management.component';
import { ProjectCreateComponent } from './projects-management/project-create/project-create.component';
import { NgModule } from '@angular/core';
import { RouterModule, Routes } from '@angular/router';

const routes: Routes = [
  { path: 'project-create', component: ProjectCreateComponent },
  { path: 'projects-management', component: ProjectsManagementComponent },
  { path: 'project-update/:projectId', component: ProjectUpdateComponent },
  {
    path: 'project-user-asscociated',
    component: ProjectWithUserAssociatedComponent,
  },
  {
    path: 'project-company-asscociated',
    component: ProjectWithCompanyAssociatedComponent,
  },
];

@NgModule({
  imports: [RouterModule.forChild(routes)],
  exports: [RouterModule],
})
export class ProjectsManagerRoutingModule {}
