/** Project actions types */

export enum ProjectActionTypes{

  //get all project action
  GET_ALL_PROJECTS = '[Project] GET ALL PROJECTS',
  GET_ALL_PROJECTS_SUCCESS = '[Project] GET ALL PROJECTS SUCCESS',
  GET_ALL_PROJECTS_ERROR = '[Project] GET ALL PROJECTS ERROR',

  //create project form to add a project
  CREATE_PROJECT_FORM_ADD = '[Project] CREATE PROJECT FORM ADD',
  CREATE_PROJECT_FORM_ADD_SUCCESS = '[Project] CREATE PROJECT FORM ADD SUCCESS',
  CREATE_PROJECT_FORM_ADD_ERROR = '[Project] CREATE PROJECT FORM ADD ERROR',

  //save project form data
  SAVE_PROJECT_FORM_DATA ='[Project] SAVE PROJECT FORM DATA',
  SAVE_PROJECT_FORM_DATA_SUCCESS ='[Project] SAVE PROJECT FORM DATA SUCCESS',
  SAVE_PROJECT_FORM_DATA_ERROR ='[Project] SAVE PROJECT FORM DATA ERROR',

  // create form to update project
  CREATE_PROJECT_FORM_UPDATE = '[Project] CREATE PROJECT FORM UPDATE',
  CREATE_PROJECT_FORM_UPDATE_SUCCESS = '[Project] CREATE PROJECT FORM UPDATE SUCCESS',
  CREATE_PROJECT_FORM_UPDATE_ERROR = '[Project] CREATE PROJECT FORM UPDATE ERROR',

  //update project with form data

  UPDATE_PROJECT_WITH_FORM_DATA ='[Project] UPDATE_PROJECT_WITH_FORM_DATA',
  UPDATE_PROJECT_WITH_FORM_DATA_SUCCESS ='[Project] UPDATE_PROJECT_WITH_FORM_DATA SUCCESS',
  UPDATE_PROJECT_WITH_FORM_DATA_ERROR ='[Project] UPDATE_PROJECT_WITH_FORM_DATA ERROR',

  //Delete project
  DELETE_PROJECT = '[Project] DELETE PROJECT',
  DELETE_PROJECT_SUCCESS = '[Project] DELETE PROJECT SUCCESS',
  DELETE_PROJECT_ERROR = '[Project] DELETE PROJECT ERROR',

  // get project with user associated
  GET_PROJECT_WITH_USER_ASSOCIATED = 'GET PROJECT WITH USER ASSOCIATED',
  GET_PROJECT_WITH_USER_ASSOCIATED_SUCCESS = 'GET PROJECT WITH USER ASSOCIATED SUCCESS',
  GET_PROJECT_WITH_USER_ASSOCIATED_ERROR = 'GET PROJECT WITH USER ASSOCIATED ERROR',

  // get project with company associated
  GET_PROJECT_WITH_COMPANY_ASSOCIATED = 'GET PROJECT WITH COMPANY ASSOCIATED',
  GET_PROJECT_WITH_COMPANY_ASSOCIATED_SUCCESS = 'GET PROJECT WITH COMPANY ASSOCIATED SUCCESS',
  GET_PROJECT_WITH_COMPANY_ASSOCIATED_ERROR = 'GET PROJECT WITH COMPANY ASSOCIATED ERROR',

}
