import { MsgState } from './../../../ngrx/msg.state';
import { CompanyState } from './../../../ngrx/companies/company.state';
import { Component, OnInit } from '@angular/core';
import { Store } from '@ngrx/store';

@Component({
  selector: 'app-companies-management',
  templateUrl: './companies-management.component.html',
  styleUrls: ['./companies-management.component.css']
})
export class CompaniesManagementComponent implements OnInit {

  constructor(private store: Store<{companyReducerKey: CompanyState}>) { }

  companyState!: CompanyState;
  msgState = MsgState;

  ngOnInit(): void {

    this.store.subscribe( state =>{
      this.companyState = state.companyReducerKey;
    })
  }

}
