import { Observable } from 'rxjs';
import { MsgState } from './../../../../ngrx/msg.state';
import { GetCompany_S_Projects } from './../../../../ngrx/companies/companies.actions';
import { CompanyState } from './../../../../ngrx/companies/company.state';
import { Component, OnInit } from '@angular/core';
import { Store } from '@ngrx/store';


@Component({
  selector: 'app-company-s-projects',
  templateUrl: './company-s-projects.component.html',
  styleUrls: ['./company-s-projects.component.css']
})
export class CompanySProjectsComponent implements OnInit {

  constructor(private store: Store<{companyReducerKey: CompanyState}>) { }

  companyState$!: Observable<CompanyState>;
  msgState = MsgState;

  ngOnInit(): void {

    this.store.dispatch(new GetCompany_S_Projects({}));
    this.companyState$ = this.store.select('companyReducerKey');
  }

}
