import { CompanyCreateComponent } from './companies-management/company-create/company-create.component';
import { CompanySProjectsComponent } from './companies-management/company-s-projects/company-s-projects.component';
import { CompanyUpdateComponent } from './companies-management/company-update/company-update.component';
import { CompaniesManagementComponent } from './companies-management/companies-management.component';
import { NgModule } from '@angular/core';
import { RouterModule, Routes } from '@angular/router';

const routes: Routes = [
  {path: 'company-create', component: CompanyCreateComponent},
  {path: 'companies-management', component: CompaniesManagementComponent},
  {path:'company-update/:companyId', component: CompanyUpdateComponent},
  { path:'company-s-projects', component: CompanySProjectsComponent}
];

@NgModule({
  imports: [RouterModule.forChild(routes)],
  exports: [RouterModule]
})
export class CompaniesManagerRoutingModule { }
